Package org.eclipse.rdf4j.common.webapp.views

## Class SimpleResponseView

- java.lang.Object
- - org.eclipse.rdf4j.common.webapp.views.SimpleResponseView

- All Implemented Interfaces:
    `org.springframework.web.servlet.View`

      public class SimpleResponseView
      extends Object
      implements org.springframework.web.servlet.View

  Author:
    Herko ter Horst

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CONTENT_KEY` |
    `static String` | `CUSTOM_HEADERS_KEY` |
    `static String` | `SC_KEY` |

    - ### Fields inherited from interface org.springframework.web.servlet.View

      `PATH_VARIABLES, RESPONSE_STATUS_ATTRIBUTE, SELECTED_CONTENT_TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContentType()` |
    `static SimpleResponseView` | `getInstance()` |
    `void` | `render​(Map model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SC_KEY

          public static final String SC_KEY

      See Also:
        Constant Field Values

    - #### CONTENT_KEY

          public static final String CONTENT_KEY

      See Also:
        Constant Field Values

    - #### CUSTOM_HEADERS_KEY

          public static final String CUSTOM_HEADERS_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static SimpleResponseView getInstance()

    - #### getContentType

          public String getContentType()

      Specified by:
        `getContentType` in interface `org.springframework.web.servlet.View`

    - #### render

          public void render​(Map model,
                             javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                      throws Exception

      Specified by:
        `render` in interface `org.springframework.web.servlet.View`
      Throws:
        `Exception`